program UserIds;
{$APPTYPE CONSOLE}
uses
  SysUtils,Libc;

var
  uid : __uid_t;

  function UidToName( uid : __uid_t ) : string;
  var
    pwrec : PPasswordRecord;

  begin
    pwrec := getpwuid( uid );
    if pwrec = nil then
      raise Exception.CreateFmt('User id %d does not exist!',[uid]);
    Result := pwrec.pw_name;
  end;

begin
  uid := getuid;
  writeln('getuid returns ',uid,' which is ', UidToName(uid));
  uid := geteuid;
  writeln('geteuid returns ',uid,' which is ', UidToName(uid));
end.
